@use '@angular/material'as mat;
@use 'partials/classes/round-button';
@use 'partials/mixins/button-width';
@use 'partials/mixins/grid-layout';
@use 'partials/variables/card';

.bold{
  font-weight: bolder;
}

.headline-container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  gap: card.$edit-organization-card-gap;
}

.organization-contact-container {
  display: flex;
  flex-direction: column;
  gap: card.$edit-organization-card-gap;
  padding: card.$edit-organization-card-padding;
  @include mat.elevation(0);
}

.content-container {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
  align-items: flex-end;
}

$grid-gap: 1em;
$grid-item-min-width: 300px;
$grid-column-count: 3;

.content-grid-container {
  flex-grow: 1;
  @include grid-layout.create-variable-grid($grid-item-min-width, $grid-gap, $grid-column-count);
}

.column-container {
  display: flex;
  flex-direction: column;
  max-width: $grid-item-min-width;
}

.flex-wrap {
  flex-wrap: wrap;
}

p {
  line-break: anywhere;
}

a {
  line-break: anywhere;
}
